program a1

!HPF$  ALIGN WITH qw::op1,io,jk(8)
!HPF$  DYNAMIC,INHERIT::op1,io,jk(8)
!HPF$  DYNAMIC::kl8
!HPF$  INHERIT::kl9
!HPF$  TEMPLATE::kl0
!HPF$  PROCESSORS::nm1
!HPF$  DIMENSION(3:7)::nm2

!HPF$  ALIGN WITH qw(*)::op1,io,jk(8)
!HPF$  ALIGN WITH * qw::op1,io,jk(8)
!HPF$  ALIGN WITH * qw(*)::op1,io,jk(8)
!HPF$  ALIGN (fg) WITH qw::op1,io,jk(8)
!HPF$  ALIGN WITH qw(*,4*7,4:7)::op1,io,jk(8)
!HPF$  ALIGN (fg,:,*) WITH qw::op1,io,jk(8)



!HPF$  DISTRIBUTE (BLOCK)::ekl7
!HPF$  DISTRIBUTE (*) ONTO cv1 ::gkl7
!HPF$  DISTRIBUTE ONTO zx1 ::zx3

!HPF$  DISTRIBUTE * (BLOCK,CYCLIC,*,BLOCK(4),CYCLIC(6*7))::ekl7
!HPF$  DISTRIBUTE * ::ekl7

!HPF$  DISTRIBUTE * ONTO * zx1::ekl7
!HPF$  DISTRIBUTE * ONTO * ::ekl7
!HPF$  DISTRIBUTE * ONTO  zx1::ekl7

end
